Fulfillment & ShippingProfiles
Get shipping profile
GET
/v1/shipping/profiles/{id}Get shipping profile. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
id*string
Unique identifier of the resource.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/shipping/profiles/7204558912004325301" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "id": "7204558912004325301", "storeId": "7204558912004325301", "sellerId": "7204558912004325301", "name": "Example resource", "description": "Example description.", "locationIds": [ "example" ], "isDefault": false, "isActive": false, "createdOn": "2026-08-01T15:30:00Z", "updatedOn": "2026-08-01T15:30:00Z"}